<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.DmpDataOverviewMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.DmpDataOverview">
        <id column="id" property="id" />
        <result column="device_number" property="deviceNumber" />
        <result column="device_trend" property="deviceTrend" />
        <result column="device_daily_active" property="deviceDailyActive" />
        <result column="middle_statistic" property="middleStatistic" />
        <result column="data_report" property="dataReport" />
        <result column="product_device" property="productDevice" />
        <result column="device_monthly_active" property="deviceMonthlyActive" />
        <result column="product_id" property="productId" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
